/*
 * Copyright 2002-2005 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package net.sf.ldaptemplate;

import org.springframework.dao.DataRetrievalFailureException;

/**
 * Represents that an entry could not be found.
 * 
 * @author Mattias Arthursson
 */
public class EntryNotFoundException extends DataRetrievalFailureException {

    private static final long serialVersionUID = -1268390922996332424L;

    public EntryNotFoundException(String msg) {
        super(msg);
    }

    public EntryNotFoundException(String msg, Throwable cause) {
        super(msg, cause);
    }
}
